## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           vokoscreenNG
Version:        3.4.0
Release:        %autorelease
Summary:        Powerful screencast creator in 41 languages to record the screen

License:        GPLv2
URL:            https://github.com/vkohaupt/vokoscreenNG
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
# AppData manifest
Source1:        https://raw.githubusercontent.com/flathub/com.github.vkohaupt.%{name}/master/%{name}.appdata.xml

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  make

BuildRequires:  cmake(Qt5) >= 5.14
BuildRequires:  cmake(Qt5LinguistTools) >= 5.14
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5X11Extras)

BuildRequires:  pkgconfig(gstreamermm-1.0)
BuildRequires:  pkgconfig(x11)

%description
vokoscreenNG for Windows and Linux is a powerful screencast creator in 41
languages to record the screen, an area or a window (Linux only). Recording of
audio from multiple sources is supported. With the built-in camera support,
you can make your video more personal. Other tools such as systray, magnifying
glass, countdown, timer, Showclick and Halo support will help you do a good
job.


%prep
%autosetup
mkdir -p src/%{_target_platform}


%build
pushd src/%{_target_platform}
%qmake_qt5 ..
popd
%make_build -C src/%{_target_platform}


%install
%make_install -C src/%{_target_platform}
install -Dpm 0755 src/%{_target_platform}/%{name} \
    %{buildroot}%{_bindir}/%{name}

# Desktop file
install -Dpm 0644 src/applications/%{name}.desktop \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

# AppData manifest
install -Dpm 0644 %{SOURCE1} -t %{buildroot}%{_metainfodir}/

# Icon
install -Dpm 0644 src/applications/%{name}.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files
%license COPYING
%doc .github/README.md info-licences-changelog-install/CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_metainfodir}/*.xml


%changelog
* Mon Sep 26 2022 Artem Polishchuk <ego.cordatus@gmail.com> 3.4.0-1
- chore(update): 3.4.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jun 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> 3.3.0-2
- build: Add new README.md

* Sat Jun 25 2022 Artem Polishchuk <ego.cordatus@gmail.com> 3.3.0-1
- chore(update): 3.3.0

* Tue May 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.0-2
- feat: Add AppData manifest

* Wed Mar 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.0-1
- chore(update): 3.2.0

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-1
- chore(update): 3.1.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.9-1
- build(update): 3.0.9

* Sun Jan 31 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.8-1
- build(update): 3.0.8

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct  1 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.7-1
- Update to 3.0.7

* Mon Aug 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.6-1
- Update to 3.0.6

* Fri Jul 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.5-1
- Update to 3.0.5

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Apr 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.4-1
- Update to 3.0.4

* Tue Mar 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.3-1
- Update to 3.0.3

* Wed Mar 04 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.2-1
- Update to 3.0.2

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.0-2
- Initial package

